Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform.powerassert
Class AssertionRenderer

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.AssertionRenderer

    public class AssertionRenderer
    extends Object

Creates a string representation of an assertion and its recorded values.

Author:
  Peter Niederwieser

Method Summary
Modifier and Type | Method and Description
--- | ---
`static String` | `render(String text, ValueRecorder recorder)` Creates a string representation of an assertion and its recorded values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### render

    public static String render(String text,
                                ValueRecorder recorder)

  Creates a string representation of an assertion and its recorded values.

  Parameters:
    `text` - the assertion's source text
    `recorder` - a recorder holding the values recorded during evaluation of the assertion
  Returns:
    a string representation of the assertion and its recorded values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD